import { jsx } from "react/jsx-runtime";
import { WalletTrust as WalletTrust$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const WalletTrust = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "Trust", "data-name": "WalletTrust", ...props, children: /* @__PURE__ */ jsx(WalletTrust$1, { variant }) });
  }
);
WalletTrust.displayName = "WalletTrust";
Object.assign(WalletTrust, { isGdsIcon: true });
export {
  WalletTrust
};
